---
id: "components"
title: "Interface: Components"
sidebar_label: "Components"
custom_edit_url: null
hide_title: true
---

# Interface: Components

Represent a map of the component that can be changed via the `components`
prop.

## Properties

### Caption

• **Caption**: (`props`: [*CaptionProps*](captionprops.md)) => *null* \| *Element*

The component for the caption element.

#### Type declaration:

▸ (`props`: [*CaptionProps*](captionprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*CaptionProps*](captionprops.md) |

**Returns:** *null* \| *Element*

___

### CaptionLabel

• **CaptionLabel**: (`props`: [*CaptionLabelProps*](captionlabelprops.md)) => *null* \| *Element*

The component for the caption element.

#### Type declaration:

▸ (`props`: [*CaptionLabelProps*](captionlabelprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*CaptionLabelProps*](captionlabelprops.md) |

**Returns:** *null* \| *Element*

___

### Day

• **Day**: (`props`: [*DayProps*](dayprops.md)) => *null* \| *Element*

The component for the day element.

#### Type declaration:

▸ (`props`: [*DayProps*](dayprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*DayProps*](dayprops.md) |

**Returns:** *null* \| *Element*

___

### Dropdown

• **Dropdown**: (`props`: [*DropdownProps*](dropdownprops.md)) => *null* \| *Element*

The component for the drop-down elements.

#### Type declaration:

▸ (`props`: [*DropdownProps*](dropdownprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*DropdownProps*](dropdownprops.md) |

**Returns:** *null* \| *Element*

___

### Footer

• **Footer**: () => *null* \| *Element*

The component for the table footer.

#### Type declaration:

▸ (): *null* \| *Element*

**Returns:** *null* \| *Element*

___

### Head

• **Head**: () => *null* \| *Element*

The component for the table’s head.

#### Type declaration:

▸ (): *null* \| *Element*

**Returns:** *null* \| *Element*

___

### IconDropdown

• **IconDropdown**: (`props`: [*StyledComponentProps*](styledcomponentprops.md)) => *null* \| *Element*

The component for the small icon in the drop-downs.

#### Type declaration:

▸ (`props`: [*StyledComponentProps*](styledcomponentprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*StyledComponentProps*](styledcomponentprops.md) |

**Returns:** *null* \| *Element*

___

### IconNext

• **IconNext**: (`props`: [*StyledComponentProps*](styledcomponentprops.md)) => *null* \| *Element*

The component for the "next month" button in the Navigation.

#### Type declaration:

▸ (`props`: [*StyledComponentProps*](styledcomponentprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*StyledComponentProps*](styledcomponentprops.md) |

**Returns:** *null* \| *Element*

___

### IconPrevious

• **IconPrevious**: (`props`: [*StyledComponentProps*](styledcomponentprops.md)) => *null* \| *Element*

The component for the "previous month" button in the Navigation.

#### Type declaration:

▸ (`props`: [*StyledComponentProps*](styledcomponentprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*StyledComponentProps*](styledcomponentprops.md) |

**Returns:** *null* \| *Element*

___

### Row

• **Row**: (`props`: [*RowProps*](rowprops.md)) => *null* \| *Element*

The component for the table rows.

#### Type declaration:

▸ (`props`: [*RowProps*](rowprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*RowProps*](rowprops.md) |

**Returns:** *null* \| *Element*

___

### WeekNumber

• **WeekNumber**: (`props`: [*WeekNumberProps*](weeknumberprops.md)) => *null* \| *Element*

The component for the week number in the table rows.

#### Type declaration:

▸ (`props`: [*WeekNumberProps*](weeknumberprops.md)): *null* \| *Element*

#### Parameters:

Name | Type |
:------ | :------ |
`props` | [*WeekNumberProps*](weeknumberprops.md) |

**Returns:** *null* \| *Element*
